File System
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
POST | |
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
POST |
List all environments file system shortcut
Required API key scopes
file_system_shortcut:readQuery parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /environments /:environment_id /file_system_shortcutExample response
Status 200
RESPONSE
Create environments file system shortcut
Required API key scopes
file_system_shortcut:writeRequest parameters
- pathstring
- typestring
- refstringnull
- hrefstringnull
- orderinteger
Response
Example request
POST /api /environments /:environment_id /file_system_shortcutExample response
Status 201
RESPONSE
Retrieve environments file system shortcut
Required API key scopes
file_system_shortcut:readPath parameters
- idstring
Response
Example request
GET /api /environments /:environment_id /file_system_shortcut /:idExample response
Status 200
RESPONSE
Update environments file system shortcut
Required API key scopes
file_system_shortcut:writePath parameters
- idstring
Request parameters
- pathstring
- typestring
- refstringnull
- hrefstringnull
- orderinteger
Response
Example request
PATCH /api /environments /:environment_id /file_system_shortcut /:idExample response
Status 200
RESPONSE
Delete environments file system shortcut
Required API key scopes
file_system_shortcut:writePath parameters
- idstring
Example request
DELETE /api /environments /:environment_id /file_system_shortcut /:idExample response
Status 204 No response body
Create environments file system shortcut reorder
Set the display order of the current user's shortcuts. ordered_ids becomes the new top-to-bottom order; any unknown IDs are rejected.
Request parameters
- ordered_idsarray
Response
Example request
POST /api /environments /:environment_id /file_system_shortcut /reorderExample response
Status 200
RESPONSE
List all file system shortcut
Required API key scopes
file_system_shortcut:readQuery parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /projects /:project_id /file_system_shortcutExample response
Status 200
RESPONSE
Create file system shortcut
Required API key scopes
file_system_shortcut:writeRequest parameters
- pathstring
- typestring
- refstringnull
- hrefstringnull
- orderinteger
Response
Example request
POST /api /projects /:project_id /file_system_shortcutExample response
Status 201
RESPONSE
Retrieve file system shortcut
Required API key scopes
file_system_shortcut:readPath parameters
- idstring
Response
Example request
GET /api /projects /:project_id /file_system_shortcut /:idExample response
Status 200
RESPONSE
Update file system shortcut
Required API key scopes
file_system_shortcut:writePath parameters
- idstring
Request parameters
- pathstring
- typestring
- refstringnull
- hrefstringnull
- orderinteger
Response
Example request
PATCH /api /projects /:project_id /file_system_shortcut /:idExample response
Status 200
RESPONSE
Delete file system shortcut
Required API key scopes
file_system_shortcut:writePath parameters
- idstring
Example request
DELETE /api /projects /:project_id /file_system_shortcut /:idExample response
Status 204 No response body
Create file system shortcut reorder
Set the display order of the current user's shortcuts. ordered_ids becomes the new top-to-bottom order; any unknown IDs are rejected.
Request parameters
- ordered_idsarray
Response
Example request
POST /api /projects /:project_id /file_system_shortcut /reorderExample response
Status 200
RESPONSE